export class NotOwnerError extends Error {
    errorCode = "NotOwnerError";
    constructor(message = "NotOwnerError") {
        super(message);
    }
}
export class ClintConfigRequiredError extends Error {
    errorCode = "ClintConfigRequiredError";
    constructor(message = "ClintConfigRequiredError") {
        super(message);
    }
}
export class PrefixInUseError extends Error {
    errorCode = "PrefixInUseError";
    constructor(message = "PrefixInUseError") {
        super(message);
    }
}
export class ServiceNotFoundError extends Error {
    errorCode = "ServiceNotFoundError";
    constructor(message = "ServiceNotFoundError") {
        super(message);
    }
}
export class NotClintServiceError extends Error {
    errorCode = "NotClintServiceError";
    constructor(message = "NotClintServiceError") {
        super(message);
    }
}
export const errors = {
    EnableService: { NotOwnerError, ClintConfigRequiredError, PrefixInUseError },
    SetServiceConfig: { ServiceNotFoundError, NotClintServiceError },
    DisableService: { NotOwnerError },
    ToggleService: { ServiceNotFoundError, NotOwnerError },
    UpdateServicePrefix: { ServiceNotFoundError, NotOwnerError },
    SetServiceStatus: { ServiceNotFoundError, NotOwnerError },
    SetServiceVersion: { ServiceNotFoundError, NotOwnerError },
    SetServiceSize: { ServiceNotFoundError, NotOwnerError },
};
